summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2010-05-23 23:06:04 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-23 23:21:46 -0500
commit4ee37778e39ef96fb0a6f0ec44e62de64e166bb3 (patch)
tree36b21591d201b9afa4b02517e2803524c6def67d /graphics
parentfd8860552489a2c3e6c74f28e84c65ca753988b1 (diff)
downloadslackbuilds-4ee37778e39ef96fb0a6f0ec44e62de64e166bb3.tar.gz
slackbuilds-4ee37778e39ef96fb0a6f0ec44e62de64e166bb3.tar.xz
graphics/picasa: Miscellaneous cleanups.
Diffstat (limited to 'graphics')
-rw-r--r--graphics/picasa/picasa.SlackBuild21
1 files changed, 16 insertions, 5 deletions
diff --git a/graphics/picasa/picasa.SlackBuild b/graphics/picasa/picasa.SlackBuild
index 6207d5ef45..6d096a41fc 100644
--- a/graphics/picasa/picasa.SlackBuild
+++ b/graphics/picasa/picasa.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script of picasa (binary repackaging)
-# Copyright 2006-2009 Robby Workman, Northport, Alabama, USA
+# Copyright 2006,2007,2008,2009,2010 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,10 +24,18 @@
PRGNAM=picasa
VERSION=${VERSION:-3.0.5744}
-ARCH=${ARCH:-i386}
BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -36,10 +44,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "x86_64" ]; then
SRCARCH=amd64
LIBDIRSUFFIX="64"
-else
+elif [ "$ARCH" = "i386" ]; then
ARCH=i386
SRCARCH=i386
LIBDIRSUFFIX=""
+else
+ printf "\n\n$ARCH is not supported...\n"
+ exit 1
fi
set -e
@@ -56,10 +67,10 @@ chmod -R u+w,go+r-w,a-s .
# Create symlinks in /usr/bin to picasa and picasafontcfg
mkdir -p $PKG/usr/bin
-( cd $PKG/usr/bin
+cd $PKG/usr/bin
ln -fs /opt/google/picasa/3.0/bin/picasa .
ln -s /opt/google/picasa/3.0/bin/picasafontcfg .
-)
+cd -
# Install icons
mkdir -p $PKG/usr/share/pixmaps